QGIS Application - Feature request #18935
Improve implementation of QGIS WFS paging and max number of features options
2018-05-10 11:21 PM - lan Harrison

Status: Closed

Priority: Normal

Assignee: Even Rouault

Category: Web Services clients/WFS

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 26767
Description

FEEDBACK NEEDED

CURRENTLY

The WFS max features option in the Modify WFS Connection settings is difficult for users to understand as it behaves differently
depending on the version of WFS:

- Leaving max features box empty and choosing wfs v 2.0.0: Uses paging with the page size set to the WFS server default page size.
Returns all features in the layer.

- Putting a number in max feature box and choosing wfs v 2.0.0: Uses paging with the page size set to the specified max features for
better performance. Returns all features in the layer.

- Putting number in max feature box and choosing wfs v 1.0.0 or v 1.1.0 (which don't support paging): Gets only specified number of
features.
SUGGESTED ENHANCEMENT
To make it more clear for users | suggest the following:

- If max number of features is specified this should limit the results to this number of features regardless of WFS version. If left empty
the server default applies.

- Add WFS Option to allow users to enable paging and set a page size.

- If a user selects WFS version 1.0.0 or 1.1.0 paging should be disabled.

- If a user selects WFS version 2.0.0 paging should be enabled with a default start index of 0, and the server default page size which
the user can override.

If there is general consensus on the best way to improve this LINZ is looking a funding this as an enhancement.

Associated revisions

Revision e€998fcf0 - 2018-06-04 08:16 PM - Even Rouault

[WFS provider] [FEATURE] Allow user to enable/disable paging and specify page size (fixes #18935)
The 'maximum number of features' settings is now always the maximum number of

features requested, even in WFS 2.0 with paging.

For WFS 2.0, we add a checkbox to enable/disable paging and a text entry to

specify the page size (if let to empty, server default is used)

We also add a Detect button so that the WFS version is autodetected.

Revision 14a913e2 - 2018-06-22 02:57 PM - Even Rouault

Merge pull request #7170 from rouault/wfs_pagesize

[WFS provider] [FEATURE] Allow user to enable/disable paging and specify page size (fixes #18935)
Revision 3909228 - 2018-06-22 04:36 PM - Even Rouault

[WFS provider] Fix #7170 / properly take into account feature count limit (refs #18935)

History

#1 - 2018-05-11 12:29 AM - Even Rouault

Sounds good to me

#2 - 2018-05-11 08:25 AM - Alessandro Pasotti

Looks good to me.

Even, please correct if I'm wrong but the last time | worked on the WFS provider 2.x was not fully implemented, 1IRC the transactional part wasn't

complete.

#3 - 2018-05-11 12:08 PM - Even Rouault

Yes, WFS-Transactional 2.0 is not implemented

#4 - 2018-05-21 09:35 PM - Even Rouault

- Assignee set to Even Rouault

#5 - 2018-06-04 08:16 PM - Even Rouault

Implemented in https://github.com/qgis/QGIS/pull/7170

#6 - 2018-06-22 02:57 PM - Even Rouault
- Status changed from Open to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|e998fcf0b2a1c7e07e6433b656a652eae46¢6c35.

#7 - 2018-06-23 02:04 PM - Even Rouault
- Resolution set to fixed/implemented

Implemented for QGIS 3.4
